<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <groupId>cn.superdesk.uniorder</groupId>
        <artifactId>superdesk-operation-center</artifactId>
        <version>0.0.1-SNAPSHOT</version>
    </parent>

    <artifactId>superdesk-uniorder-common</artifactId>

    <dependencies>

        <!--        <dependency>-->
        <!--            <groupId>org.projectlombok</groupId>-->
        <!--            <artifactId>lombok</artifactId>-->
        <!--            <version>${lombok.version}</version>-->
        <!--            <scope>provided</scope>-->
        <!--        </dependency>-->

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-beans</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-web</artifactId>
        </dependency>

        <dependency>
            <groupId>org.springframework</groupId>
            <artifactId>spring-context</artifactId>
        </dependency>


        <!--		<dependency>-->
        <!--			<groupId>cn.superdesk.libs</groupId>-->
        <!--			<artifactId>superdesk-libs-common</artifactId>-->
        <!--			<version>${superdesk.libs.version}</version>-->
        <!--		</dependency>-->
        <!--		<dependency>-->
        <!--			<groupId>cn.superdesk.uniorder</groupId>-->
        <!--			<artifactId>superdesk-uniorder-dto</artifactId>-->
        <!--			<version>0.0.1-SNAPSHOT</version>-->
        <!--&lt;!&ndash;			<scope>compile</scope>&ndash;&gt;-->
        <!--		</dependency>-->
        <!--		<dependency>-->
        <!--			<groupId>cn.superdesk.uniorder</groupId>-->
        <!--			<artifactId>superdesk-uniorder-dao</artifactId>-->
        <!--			<version>0.0.1-SNAPSHOT</version>-->
        <!--&lt;!&ndash;			<scope>compile</scope>&ndash;&gt;-->
        <!--		</dependency>-->
        <dependency>
            <groupId>org.apache.poi</groupId>
            <artifactId>poi</artifactId>
            <version>3.17</version>
            <!--			<version>4.1.2</version>-->
            <!--			<scope>compile</scope>-->
        </dependency>

        <dependency>
            <groupId>com.belerweb</groupId>
            <artifactId>pinyin4j</artifactId>
            <version>2.5.0</version>
        </dependency>


        <!-- https://mvnrepository.com/artifact/org.apache.curator/curator-recipes -->
        <dependency>
            <groupId>org.apache.curator</groupId>
            <artifactId>curator-recipes</artifactId>
            <!--			<version>4.2.0</version>-->
            <version>4.3.0</version>
            <!--			<version>5.0.0</version>-->
            <!--			<version>5.1.0</version>-->
            <exclusions>
                <exclusion>
                    <artifactId>zookeeper</artifactId>
                    <groupId>org.apache.zookeeper</groupId>
                </exclusion>
            </exclusions>
        </dependency>

        <dependency>
            <groupId>org.apache.tomcat.embed</groupId>
            <artifactId>tomcat-embed-core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.zookeeper</groupId>
            <artifactId>zookeeper</artifactId>
            <!--			<version>3.4.5</version>-->
            <version>3.4.8</version>
            <!--			<version>3.5.7</version>-->
            <!--			<scope>compile</scope>-->
            <exclusions>
                <exclusion>
                    <groupId>org.slf4j</groupId>
                    <artifactId>slf4j-log4j12</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>2.2.7</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>easyexcel</artifactId>
            <version>2.2.7</version>
            <scope>compile</scope>
        </dependency>

        <!-- https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-data-redis -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-redis</artifactId>
            <version>${spring-boot.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>redis.clients</groupId>
                    <artifactId>jedis</artifactId>
                </exclusion>
                <exclusion>
                    <groupId>io.lettuce</groupId>
                    <artifactId>lettuce-core</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <!-- jedis -->
        <dependency>
            <groupId>redis.clients</groupId>
            <artifactId>jedis</artifactId>
            <!--			<version>2.9.0</version>-->
            <!--            <version>2.9.1</version>-->
            <!--			<version>2.9.3</version>-->
            <!--			<version>3.1.0</version>-->
        </dependency>

        <!--Spring整合redis包 -->
        <!--		<dependency>-->
        <!--			<groupId>org.springframework.data</groupId>-->
        <!--			<artifactId>spring-data-redis</artifactId>-->
        <!--			<version>2.1.3.RELEASE</version>-->
        <!--		</dependency>-->



        <!--		<dependency>-->
        <!--			<groupId>org.springframework.session</groupId>-->
        <!--			<artifactId>spring-session-data-redis</artifactId>-->
        <!--		</dependency>-->
        <!-- redis -->


        <!-- 加密 -->
        <dependency>
            <groupId>org.bouncycastle</groupId>
            <artifactId>bcprov-ext-jdk16</artifactId>
            <version>1.45</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.security</groupId>
            <artifactId>spring-security-core</artifactId>
            <version>5.0.5.RELEASE</version>
        </dependency>
        <dependency>
            <groupId>javax.validation</groupId>
            <artifactId>validation-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.hibernate.validator</groupId>
            <artifactId>hibernate-validator</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
        </dependency>
        <dependency>
            <groupId>cn.superdesk.uniorder</groupId>
            <artifactId>superdesk-uniorder-common-mq-redis</artifactId>
            <version>${project.parent.version}</version>
        </dependency>

        <!--通过ip获取城市信息-->
        <!-- https://github.com/lionsoul2014/ip2region -->
        <dependency>
            <groupId>org.lionsoul</groupId>
            <artifactId>ip2region</artifactId>
            <version>${ip2region.version}</version>
        </dependency>


        <!-- https://mvnrepository.com/artifact/com.google.guava/guava -->
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
            <version>30.1.1-jre</version>
        </dependency>
        <dependency>
            <groupId>cn.superdesk</groupId>
            <artifactId>superdesk-data-extract-common</artifactId>
            <version>0.0.1-SNAPSHOT</version>
            <exclusions>
                <exclusion>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-starter-logging</artifactId>
                </exclusion>
            </exclusions>
        </dependency>

    </dependencies>

</project>
